## org.eclipse.jetty.deploy.graph
Class Node

    java.lang.Object
      org.eclipse.jetty.deploy.graph.Node

    public final class Node

extends Object

Basic Graph Node

Constructor Summary
`Node(String name)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getName()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Node

    public Node(String name)

Method Detail

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.